Bug 204978 - Unable to log in as local user with smartcard inserted
Unable to log in as local user with smartcard inserted
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pam_pkcs11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bob Relyea
Depends On:
Blocks: 181509
  Show dependency treegraph
Reported: 2006-09-01 15:55 EDT by Suzanne Hillman
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-12 19:46:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2006-09-01 15:55:28 EDT
Description of problem:
Unable to log in as local user on vertual terminal with smartcard inserted, even
if smartcard use is not in enforcing mode.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Insert a smartcard
2. Go to a virtual terminal and try to log in
Actual results:
It will always try to assume you want to log in as the smartcard user, no matter
what username you give (and will only allow you to login if you used the
smartcard user's username and smartcard pin; it will not work with some other
username and the smartcard pin, or with the actual password for that username).

Expected results:
Let you log in as someone other than the smartcard user if enforcing is not set.

Additional info:
Comment 1 Bob Relyea 2006-09-12 19:46:18 EDT
No, this is exactly how it is supposed to work. We work hard to make this so.

If you have smart card login turned on, and you have inserted a smart card, you
must login using that smart card.
Comment 2 Suzanne Hillman 2006-09-13 10:56:53 EDT

Ah, hmm. Then... should one be able to log in remotely (ssh) as a non-smartcard
user if the smartcard is inserted?
Comment 3 Bob Relyea 2006-09-13 12:06:39 EDT
Currently ssh is not supported for smart card login, so the answer is no.
(That's a 'next release' feature).

Comment 4 Suzanne Hillman 2006-09-13 13:06:52 EDT

I would have expected that, if ssh is not currently intended to be supported
with smartcard, that smartcard insertion should _NOT_ effect it. Are you saying
that the reverse is true?
Comment 5 Bob Relyea 2006-09-13 13:12:58 EDT
I'm sorry I misunderstood the question. You are correct. The card insertion
state will not affect ssh.

Actually once ssh support is in, the card insertion state on the *console*
should not affect ssh either.


Note You need to log in before you can comment on or make changes to this bug.